
SETUP_INFO = dict(
    name = 'infiniguard_ls',
    version = '1.0.12',
    author = 'Mike Selivanov',
    author_email = 'mikes@infinidat.com',

    url = None,
    license = 'BSD',
    description = """InfiniGuard Ls""",
    long_description = """InfiniGuard Oracle Shares List""",

    # http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers = [
        "Intended Audience :: Developers",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: BSD License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],

    install_requires = [
'docopt',
'infi.credentials-store',
'infinisdk',
'Logbook==1.5.3',
'setuptools'
],
    namespace_packages = [],

    package_dir = {'': 'src'},
    package_data = {'': []},
    include_package_data = True,
    zip_safe = False,

    entry_points = dict(
        console_scripts = [
'iguard_ls = infiniguard_ls.infiniguard_ls:infiniguard_ls'
],
        gui_scripts = [],
        ),
)

if SETUP_INFO['url'] is None:
    _ = SETUP_INFO.pop('url')

def setup():
    from setuptools import setup as _setup
    from setuptools import find_packages
    SETUP_INFO['packages'] = find_packages('src')
    _setup(**SETUP_INFO)

if __name__ == '__main__':
    setup()

